<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-19 17:18:30
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzCityExchangeShopArea extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_city_exchange_shop_area}}';
    }
                
    /**
     * ------------ 字段 id 
     * ------------ 表字段注释: 
     */
    public function filterById($val): self
    {
        $this->filterByColumn("id", $val);
        return $this;
    }

    public function setId($val): self
    {
        $this->setAttr("id", $val);
        return $this;
    }

    public function getId()
    {
        return $this->id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 admin_id 
     * ------------ 表字段注释: 
     */
    public function filterByAdminId($val): self
    {
        $this->filterByColumn("admin_id", $val);
        return $this;
    }

    public function setAdminId($val): self
    {
        $this->setAttr("admin_id", $val);
        return $this;
    }

    public function getAdminId()
    {
        return $this->admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 main_admin_id 
     * ------------ 表字段注释: 
     */
    public function filterByMainAdminId($val): self
    {
        $this->filterByColumn("main_admin_id", $val);
        return $this;
    }

    public function setMainAdminId($val): self
    {
        $this->setAttr("main_admin_id", $val);
        return $this;
    }

    public function getMainAdminId()
    {
        return $this->main_admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 area_id 
     * ------------ 表字段注释: 
     */
    public function filterByAreaId($val): self
    {
        $this->filterByColumn("area_id", $val);
        return $this;
    }

    public function setAreaId($val): self
    {
        $this->setAttr("area_id", $val);
        return $this;
    }

    public function getAreaId()
    {
        return $this->area_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 province_code 
     * ------------ 表字段注释: 
     */
    public function filterByProvinceCode($val): self
    {
        $this->filterByColumn("province_code", $val);
        return $this;
    }

    public function setProvinceCode($val): self
    {
        $this->setAttr("province_code", $val);
        return $this;
    }

    public function getProvinceCode()
    {
        return $this->province_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 province_name 
     * ------------ 表字段注释: 
     */
    public function filterByProvinceName($val): self
    {
        $this->filterByColumn("province_name", $val);
        return $this;
    }

    public function setProvinceName($val): self
    {
        $this->setAttr("province_name", $val);
        return $this;
    }

    public function getProvinceName()
    {
        return $this->province_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 city_code 
     * ------------ 表字段注释: 
     */
    public function filterByCityCode($val): self
    {
        $this->filterByColumn("city_code", $val);
        return $this;
    }

    public function setCityCode($val): self
    {
        $this->setAttr("city_code", $val);
        return $this;
    }

    public function getCityCode()
    {
        return $this->city_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 city_name 
     * ------------ 表字段注释: 
     */
    public function filterByCityName($val): self
    {
        $this->filterByColumn("city_name", $val);
        return $this;
    }

    public function setCityName($val): self
    {
        $this->setAttr("city_name", $val);
        return $this;
    }

    public function getCityName()
    {
        return $this->city_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 area_code 
     * ------------ 表字段注释: 
     */
    public function filterByAreaCode($val): self
    {
        $this->filterByColumn("area_code", $val);
        return $this;
    }

    public function setAreaCode($val): self
    {
        $this->setAttr("area_code", $val);
        return $this;
    }

    public function getAreaCode()
    {
        return $this->area_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 area_name 
     * ------------ 表字段注释: 
     */
    public function filterByAreaName($val): self
    {
        $this->filterByColumn("area_name", $val);
        return $this;
    }

    public function setAreaName($val): self
    {
        $this->setAttr("area_name", $val);
        return $this;
    }

    public function getAreaName()
    {
        return $this->area_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 deep 
     * ------------ 表字段注释: 
     */
    public function filterByDeep($val): self
    {
        $this->filterByColumn("deep", $val);
        return $this;
    }

    public function setDeep($val): self
    {
        $this->setAttr("deep", $val);
        return $this;
    }

    public function getDeep()
    {
        return $this->deep ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 is_main 
     * ------------ 表字段注释: 是否主体门店开通的地区
     */
    public function filterByIsMain($val): self
    {
        $this->filterByColumn("is_main", $val);
        return $this;
    }

    public function setIsMain($val): self
    {
        $this->setAttr("is_main", $val);
        return $this;
    }

    public function getIsMain()
    {
        return $this->is_main ?? null;
    }
    // ---------------------------------------------
    
}
